module InternetBoxLogger
  module ElasticSearch

    module Server

      def self.[]
        EasyAppHelper.config[:elastic_servers]
      end

      def self.local_path
        EasyAppHelper.config[:elastic_binary]
      end

      def self.local?
        !remote?
      end

      def self.manageable?
        !(remote? || local_path.nil? )
      end

      def self.remote?
        local_path.nil?
      end

    end


    def elasticsearch_client
      @elasticsearch_client ||= Elasticsearch::Client.new hosts: Server[], log: EasyAppHelper.config[:debug], reload_connections: true
    end

    def save
      measured_at = Time.now
      index_day = sprintf '%04d%02d%02d', measured_at.year, measured_at.month, measured_at.mday

      data = self.attributes.dup
      data[:measured_at] = measured_at

      es_document = {
          index: "box_metrics-#{index_day}",
          type: box_type,
          body: data
      }

      elasticsearch_client.index es_document
    end

  end
end
